Bug 446699 - Wayland: Keyboard and mouse input stops working after turning off the monitor (by inactivity timer or keyboard shortcut)
Summary: Wayland: Keyboard and mouse input stops working after turning off the monitor...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: input (show other bugs)
Version: 5.23.4
Platform: openSUSE RPMs Linux
: NOR major (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: needs_verification, usability, wayland
Depends on:
Blocks:
 
Reported: 2021-12-08 21:07 UTC by Alexey Ilyin
Modified: 2021-12-09 14:20 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.23.5
alexey-ilyin: Wayland+
alexey-ilyin: Usability+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Ilyin 2021-12-08 21:07:46 UTC
I have a single monitor connected via DisplayPort (AMD video card). Keyboard and mouse are connected via USB.
If I set the power settings to automatically turn off the monitor by timer, and the time expires, or if I turn off the monitor forcibly using a keyboard shortcut, the monitor turns off first, and then turns on again after a few seconds. After this, opened application windows and the plasmashell looks normal on the screen and update their contents, however, applications do not respond to the keyboard and mouse, but the mouse cursor moves normally. It is especially strange that I cannot switch to another virtual console (tty) by pressing Ctrl+Alt+F1..8, but I can reboot using kernel command (Ctrl+Alt+PrtScr+REISUB).

STEPS TO REPRODUCE
1. Start the Wayland session
2. Set keyboard shortcut for "Turn off the monitor" in the System Settings
3. Press it

OBSERVED RESULT
See above

EXPECTED RESULT
Keyboard and mouse input works.

Operating System: openSUSE Tumbleweed 20211206
KDE Plasma Version: 5.23.4
KDE Frameworks Version: 5.88.0
Qt Version: 5.15.2
Kernel Version: 5.15.6-1-default (64-bit)
Graphics Platform: Wayland
Processors: 12 × AMD Ryzen 5 1600 Six-Core Processor
Memory: 15.6 GiB of RAM
Graphics Processor: AMD Radeon RX 590 Series
Comment 1 Bug Janitor Service 2021-12-09 12:00:19 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/1769
Comment 2 Zamundaaa 2021-12-09 14:20:00 UTC
Git commit 8a0036fdee0eaa7dc5808dfe2dfc516fc32dfd8e by Xaver Hugl.
Committed on 09/12/2021 at 11:55.
Pushed by zamundaaa into branch 'Plasma/5.23'.

platforms/drm: remove the dpms filter when outputs are added

When the dpms filter is active and an output is hotunplugged, or
is momentarily detected as hotunplugged, adding a new output should
remove the dpms filter again.
FIXED-IN: 5.23.5

M  +1    -0    src/plugins/platforms/drm/drm_backend.cpp

https://invent.kde.org/plasma/kwin/commit/8a0036fdee0eaa7dc5808dfe2dfc516fc32dfd8e